Skip to main content
`Ctrl`+`K`

# PCISApplyInvSchur

Solves the Neumann problem related to applying the inverse of the Schur complement.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISApplyInvSchur(PC pc, Vec b, Vec x, Vec vec1_N, Vec vec2_N)

## Input Parameters

- pc - preconditioner context

- b - vector of local interface nodes (including ghosts)

- x - vector of local interface nodes (including ghosts); returns the application of the inverse of the Schur complement to `b`

- vec1_N - vector of local nodes (interior and interface, including ghosts); used as work space

- vec2_N - vector of local nodes (interior and interface, including ghosts); used as work space

## Note

Solves the problem

      [ A_II  A_IB ] [ . ]   [ 0 ]
      [            ] [   ] = [   ]
      [ A_BI  A_BB ] [ x ]   [ b ]

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISSetUseStiffnessScaling()`, `PCISSetSubdomainDiagonalScaling()`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainScalingFactor()`, `PCISReset()`, `PCISInitialize()`

## Level

advanced

## Location

src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages